package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.core.PlatformCoreActivator;
import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.PlatformUIActivator;
import com.vendor.platform.ui.internal.ControlFactory;
import com.vendor.platform.ui.internal.MenuUtils;
import com.vendor.platform.ui.internal.RadioButtonsArea;
import java.io.File;
import org.eclipse.core.runtime.Plugin;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class UpdateDeviceDialog extends Dialog {
  private Text fileField;
  
  private RadioButtonsArea radios;
  
  public UpdateDeviceDialog(Shell parentShell) {
    super(parentShell);
    setShellStyle(getShellStyle() | 0x10);
  }
  
  protected void configureShell(Shell newShell) {
    super.configureShell(newShell);
    newShell.setText(Messages.UpdateDeviceDialog_0);
    newShell.setSize(480, 200);
  }
  
  protected Control createDialogArea(Composite parent) {
    Composite comp = (Composite)super.createDialogArea(parent);
    this.radios = new RadioButtonsArea(comp, null, 2, new String[][] { { Messages.UpdateDeviceDialog_1, "replace" }, { Messages.UpdateDeviceDialog_3, "append" } });
    this.radios.setSelectedButton(0);
    Composite c = ControlFactory.createCompositeEx(comp, 3, 772, 1);
    this.fileField = ControlFactory.createFileField(c, Messages.UpdateDeviceDialog_5, Messages.UpdateDeviceDialog_6, null);
    return (Control)comp;
  }
  
  protected void buttonPressed(int buttonId) {
    if (0 == buttonId) {
      String file = this.fileField.getText();
      if (file.length() == 0) {
        MessageDialog.openWarning(getShell(), Messages.UpdateDeviceDialog_7, Messages.UpdateDeviceDialog_8);
        return;
      } 
      File chipList = new File(file);
      if (!chipList.exists()) {
        MessageDialog.openError(getShell(), Messages.UpdateDeviceDialog_9, Messages.UpdateDeviceDialog_10);
        return;
      } 
      String rs = "";
      if (rs.length() > 0) {
        MessageDialog.openError(getShell(), Messages.UpdateDeviceDialog_11, rs);
      } else {
        String selectedValue = this.radios.getSelectedValue();
        try {
          if (selectedValue.equals("replace")) {
            PlatformUIActivator.getDefault().getDeviceManager()
              .updateDevices(chipList, true);
          } else if (selectedValue.equals("append")) {
            PlatformUIActivator.getDefault().getDeviceManager()
              .updateDevices(chipList, false);
          } 
        } catch (Exception e) {
          MessageDialog.openError(getShell(), Messages.UpdateDeviceDialog_9, e
              .getMessage());
          return;
        } 
        MenuUtils.refreshDeviceMenu();
        PlatformCoreActivator.getLogger(
            (Plugin)PlatformUIActivator.getDefault()).logInfo(Messages.UPDATE_DEVICE_LOG);
        okPressed();
      } 
      return;
    } 
    if (1 == buttonId)
      cancelPressed(); 
  }
}
